Thread Rating:
  • 2 Vote(s) - 4.5 Average
  • 1
  • 2
  • 3
  • 4
  • 5
[For 1.8] Plugin Uploader for 1.8
#61
I'm sorry, Matt. I can't remember. Some time today I will reinstall the latest version, test again, and give you a more comprehensive bug report.
[retired]
Reply
#62
I was tested in the past and i have some issues and i test it again today for some users experimenting problems with some things but i think is due some files but i have to test it more to know reasons of that errors, but yes i think is probably due conections are down sometimes and uploaded files have to go with default structure.

The only thing i found right now is if you have whitespaces on files or you have two plugin files inside inc dir an error appears.
The only infinite thing is the universe and human stupidity, but the universe is not for sure

Plugins 1.6.x

Plugins 1.8.x

Reply
#63
The whitespace would cause an issue even if the files were uploaded manually, and the issue with having 2 files in the ./inc/plugins/ folder is a limitation of the plugin - it has no way of knowing which one to use. There should be very few plugins like this though, I only know of one.
MyReactions - All Plugins

Can you still feel the butterflies?

Free never tasted like pudding.
Reply
#64
yes @Matt i know that but that's what i call experimenting problems not bugs, not issues.

The people must know they have to get files with that structure no whitespaces like dos and programming requisites. As a standard and do not try to upload more than one file inside inc/plugins

forum spam have twice for admincp and plugin things i have that mod and others with more than one php file but i try to name it as the plugin and info as dev guide recommend.

I thing not a problem at all but to let people knows and sometimes wait due overloads but all is a recomendation to end users only.

Anyways great plugin many people uses it and fo not have many problems like upload contents inside wrong paths and more Smile
The only infinite thing is the universe and human stupidity, but the universe is not for sure

Plugins 1.6.x

Plugins 1.8.x

Reply
#65
Hi - Appreciate this thread is dated now, however, I am getting the same issue as an earlier reported issue.

Warning [2] file_get_contents(): https:// wrapper is disabled in the server configuration by allow_url_fopen=0 - Line: 914 - File: admin/modules/config/pluginuploader.php PHP 5.6.30 (Linux)

Errors continue

Warning [2] file_get_contents(https://community.mybb.com/mods.php?action=view&pid=821): failed to open stream: no suitable wrapper could be found - Line: 914 - File: admin/modules/config/pluginuploader.php PHP 5.6.30 (Linux)

Warning [2] file_get_contents(): https:// wrapper is disabled in the server configuration by allow_url_fopen=0 - Line: 915 - File: admin/modules/config/pluginuploader.php PHP 5.6.30 (Linux)

Warning [2] file_get_contents(https://community.mybb.com/mods.php?acti...ad&pid=821): failed to open stream: no suitable wrapper could be found - Line: 915 - File: admin/modules/config/pluginuploader.php PHP 5.6.30 (Linux)

Warning [2] file_get_contents(): https:// wrapper is disabled in the server configuration by allow_url_fopen=0 - Line: 916 - File: admin/modules/config/pluginuploader.php PHP 5.6.30 (Linux)

Warning [2] file_get_contents(https://community.mybb.com/mods.php?acti...se&pid=821): failed to open stream: no suitable wrapper could be found - Line: 916 - File: admin/modules/config/pluginuploader.php PHP 5.6.30 (Linux)





Using v 1.2.2 of plugin uploader
on MyBB v 1.8.1.1
MyPHP ver 5.6.30
MySQLi 5.6.35

Errors when trying to import any plugin OR re-import any plugin (Inc upload plugin) from MyBB
Am not logged in as super admin, logged out and back in as an admin with permission to upload plugins


Pointers appreciated.
Reply
#66
Your server configuration doesn't seem to allow fetching remote secure pages, I'll have to add in a check and use cURL as well. I might be able to work on that soon.
MyReactions - All Plugins

Can you still feel the butterflies?

Free never tasted like pudding.
Reply
#67
I have an issue where if I upload the plugin file into inc/plugins then the plugins don't show in the admin area. Any way to fix this?
Reply
#68
[quote pid='1275277' dateline='1496258554']
Hi - Appreciate this thread is dated now, however, I am getting the same issue as an earlier reported issue.

Warning [2] file_get_contents(): https:// wrapper is disabled in the server configuration by allow_url_fopen=0 - Line: 914 - File: admin/modules/config/pluginuploader.php PHP 5.6.30 (Linux)

Errors continue

Warning [2] file_get_contents(https://community.mybb.com/mods.php?action=view&pid=821): failed to open stream: no suitable wrapper could be found - Line: 914 - File: admin/modules/config/pluginuploader.php PHP 5.6.30 (Linux)

Warning [2] file_get_contents(): https:// wrapper is disabled in the server configuration by allow_url_fopen=0 - Line: 915 - File: admin/modules/config/pluginuploader.php PHP 5.6.30 (Linux)

Warning [2] file_get_contents(https://community.mybb.com/mods.php?acti...ad&pid=821): failed to open stream: no suitable wrapper could be found - Line: 915 - File: admin/modules/config/pluginuploader.php PHP 5.6.30 (Linux)

Warning [2] file_get_contents(): https:// wrapper is disabled in the server configuration by allow_url_fopen=0 - Line: 916 - File: admin/modules/config/pluginuploader.php PHP 5.6.30 (Linux)

Warning [2] file_get_contents(https://community.mybb.com/mods.php?acti...se&pid=821): failed to open stream: no suitable wrapper could be found - Line: 916 - File: admin/modules/config/pluginuploader.php PHP 5.6.30 (Linux)





Using v 1.2.2  of plugin uploader
on MyBB v 1.8.1.1
MyPHP ver 5.6.30
MySQLi 5.6.35

Errors when trying to import any plugin OR re-import any plugin (Inc upload plugin) from MyBB
Am not logged in as super admin, logged out and back in as an admin with permission to upload plugins


Pointers appreciated.
[/quote]

I pretty getting the same error as well
Reply
#69
Could this be updated to 18.20? by chance??
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)